import os, configparser, multiprocessing

CONFIG_FILE = "config.ini"
INVALID_INI = False
STARTING = True
V2CV = [1, 2, 0]
V2CVERSION = f"{V2CV[0]}.{V2CV[1]}.{V2CV[2]}"
RSS_FEED_URL = "https://git.rolfsvaag.no/frarol96/Video2Crops/releases.rss"
WIKI_URL = "https://git.rolfsvaag.no/frarol96/Video2Crops/wiki"
FILE_TYPES = '*.mp4 *.avi *.mov'
FILE_TYPES = f"{FILE_TYPES} {FILE_TYPES.upper()}"

processing = False

# Setup config file
config = configparser.ConfigParser()
config.read(CONFIG_FILE)

processing_button_state = "start"
# Load ini settings
frame_step = int(config.get('settings', 'frame_step'))
contrast_threshold = float(config.get('settings', 'contrast_threshold'))
duplicate_threshold = float(config.get('settings', 'duplicate_threshold'))
SAVE = config.get('settings', 'save_output')
SHOW = config.get('settings', 'show_playback')
roi_size = int(config.get('settings', 'roi_size'))
tksize = config.get('settings', 'window_size')
user_defined_output_dir = config.get('settings', 'user_defined_output_dir')
DEBUG = config.get('debug', 'debug_output')

# Assign conditional variables here
# If output directory is not assigned or does not exist, assign it as cwd
if not user_defined_output_dir or not os.path.exists(user_defined_output_dir): user_defined_output_dir = os.getcwd()